DotsDocs
Team

Delete an Organization Custom Role

Delete a custom role. A role that is assigned to a team member or to a pending invite cannot be deleted; move them to another role first. The name can be reused after deletion.

DELETE
/v2/organizations/roles/{role_id}

Delete a custom role. A role that is assigned to a team member or to a pending invite cannot be deleted; move them to another role first. The name can be reused after deletion.

Authorization

api_key
headerAuthorizationBasic <token>

Path Parameters

role_id*string

ID of the custom role.

Formatuuid

Response Body

OK

application/json
  1. response
id?string
Formatuuid
object?string
deleted?boolean
Example Request
curl -X DELETE 'https://api.dots.dev/api/v2/organizations/roles/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "role",  "deleted": true}